Focus Groups
List focus groups
Returns a paginated list of focus groups for the authenticated user.
GET
/
focus-groups
List focus groups
curl --request GET \
--url https://app.mavera.io/api/v1/focus-groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mavera.io/api/v1/focus-groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/focus-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/focus-groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"object": "list",
"data": [
{
"id": "<string>",
"object": "focus_group",
"status": "<string>",
"created_at": 123,
"updated_at": 123,
"name": "<string>",
"sample_size": 123,
"personas_count": 123,
"questions_count": 123,
"error": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}Authorizations
API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.
Query Parameters
Filter by focus group status.
Available options:
pending, generating, completed, failed Search by name.
Maximum number of results to return (1-100).
Required range:
1 <= x <= 100Cursor for pagination.
⌘I
List focus groups
curl --request GET \
--url https://app.mavera.io/api/v1/focus-groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mavera.io/api/v1/focus-groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/focus-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/focus-groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"object": "list",
"data": [
{
"id": "<string>",
"object": "focus_group",
"status": "<string>",
"created_at": 123,
"updated_at": 123,
"name": "<string>",
"sample_size": 123,
"personas_count": 123,
"questions_count": 123,
"error": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}